## vlc-0.8.2.tar.bz2

=== extras/contrib/Makefile ===
# ***************************************************************************
# Makefile : Build vlc-contrib files
# ***************************************************************************
# Copyright (C) 2003-2005 VideoLAN
# $Id: Makefile 10601 2005-04-08 20:28:23Z hartman $
# 
# Authors: Christophe Massiot <massiot@via.ecp.fr>
#          Derk-Jan Hartman <hartman at videolan dot org>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or    
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
# ***************************************************************************

include ./config.mak

BUILDDIRS = bin doc etc include info lib man sbin share vlc-lib tmp

all: FORCE
	@echo "Do you mean to make src or make bin ?"

src: FORCE
	$(MAKE) -C src all

contrib-macosx.tar.bz2: FORCE
	$(WGET) $(CONTRIB_URL)

bin: FORCE
	@echo "make bin isn't in a functional state at this moment. Please use make src"

#The disabled make bin
#bin: contrib-macosx.tar.bz2
#	@if test -d tmp; then \
#		echo "Move away ./tmp, it's in the way" ; \
#		exit 1 ; \
#	fi
#	mkdir tmp
#	bunzip2 -c $< | (cd tmp; tar xf -)
#	./change_prefix.sh tmp @@CONTRIB_PREFIX@@ $(PREFIX)
#	(cd tmp; tar cf - .) | tar xf -
#	rm -rf tmp
#	ranlib lib/*\.a

clean-src: FORCE
	rm -rf $(BUILDDIRS)
	$(MAKE) -C src clean-src

clean-bin: FORCE
	rm -rf $(BUILDDIRS)
	$(MAKE) -C src clean-dots

clean: FORCE
	@echo "Do you mean to clean-src or clean-bin ?"

package: FORCE
	@if test -d tmp; then \
		echo "Move away ./tmp, it's in the way" ; \
		exit 1 ; \
	fi
	mkdir tmp
	tar cf - bin sbin include lib vlc-lib share/aclocal* share/autoconf* \
		share/automake* share/gettext* \
		| (cd tmp; tar xf -)
	./change_prefix.sh tmp $(PREFIX) @@CONTRIB_PREFIX@@
	(cd tmp; tar cf - .) | bzip2 -c > contrib-macosx.tar.bz2
	rm -rf tmp

FORCE:

=== extras/contrib/src/Makefile ===
# ***************************************************************************
# src/Makefile : Dearchive and compile all files necessary
# ***************************************************************************
# Copyright (C) 2003, 2004, 2005 VideoLAN
# $Id: Makefile 11372 2005-06-09 22:44:02Z hartman $
#
# Authors: Christophe Massiot <massiot@via.ecp.fr>
#          Derk-Jan Hartman <hartman at videolan dot org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
# ***************************************************************************

include ../config.mak
include ./packages.mak

# ***************************************************************************
# Set a clean environment
# ***************************************************************************

ifeq ($(HOST),ppc-darwin)
HAVE_DARWIN_OS=1
endif
ifeq ($(HOST),powerpc-apple-darwin8)
HAVE_DARWIN_OS=1
endif

ifdef HAVE_DARWIN_OS
export PATH = $(PREFIX)/bin:/bin:/usr/bin
export DYLD_LIBRARY_PATH = $(PREFIX)/lib
endif

ifeq ($(HOST),i586-pc-beos)
ifeq ($(HOST),$(BUILD))
# Compiling on BeOS
export PATH = $(PREFIX)/bin:.:/boot/home/config/bin:/bin:/boot/apps:/boot/preferences:/boot/beos/apps:/boot/beos/preferences:/boot/develop/tools/gnupro/bin
export LIBRARY_PATH = $(PREFIX)/lib:%A/lib:/boot/home/config/lib:/boot/beos/system/lib
else
# Cross compiling from Linux
export PATH = $(PREFIX)/bin:/opt/cross-tools/bin:/usr/bin:/bin
endif
endif

export CPPFLAGS = -I$(PREFIX)/include $(EXTRA_CPPFLAGS)
export CFLAGS = -I$(PREFIX)/include $(EXTRA_CPPFLAGS)
export CXXFLAGS = -I$(PREFIX)/include $(EXTRA_CPPFLAGS)
export LDFLAGS = -L$(PREFIX)/lib $(EXTRA_LDFLAGS)

# ***************************************************************************
# Cross compilation variables
# We'll usually use --host=<platform>, except for a few libraries which
# don't handle it (gotta set CC/CXX/etc), and obviously FFmpeg has its own
# way of doing it... ;)
# ***************************************************************************

ifneq ($(BUILD),$(HOST))
# We are cross compiling
HOSTCONF=--host=$(HOST)
HOSTCC=CC=$(HOST)-gcc CXX=$(HOST)-g++ AR=$(HOST)-ar RANLIB=$(HOST)-ranlib
# For libebml/libmatroska. Grrr.
HOSTCC2=CC=$(HOST)-gcc CXX=$(HOST)-g++ "AR=$(HOST)-ar rcvu" RANLIB=$(HOST)-ranlib
FFMPEGCONF=--cross-prefix=$(HOST)-
RANLIB=$(HOST)-ranlib
else
# Building natively
RANLIB=ranlib
endif

# ***************************************************************************
# Standard rules
# ***************************************************************************

ifdef HAVE_DARWIN_OS
 all: .autoconf .libtool .automake .iconv .intl .pkgcfg .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .x264 .theora \
	.FLAC .speex .faad .faac .lame .twolame .ebml .matroska .ffmpeg .openslp \
	.dvdcss .dvdread .dvdnav .dvbpsi .live .goom2k4 .caca .mod \
	.png .gpg-error .gcrypt .gnutls .daap .cddb .cdio .vcdimager .aclocal
# mozilla support? add before .aclocal:  .glib .libidl .mozilla
else

 ifeq ($(HOST),i586-pc-beos)
  ifeq ($(HOST),$(BUILD))
# Native build: we need perl, autoconf, etc first
   all: .perl .autoconf .libtool .automake .iconv .intl .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .ebml .matroska .ffmpeg .dvdcss \
	.dvdread .dvdnav .dvbpsi .aclocal
  else
# Cross compiling: we already have the Linux tools, only build the
# libraries now
   all: .iconv .intl .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .twolame .ebml .matroska .ffmpeg .dvdcss \
	.dvdread .dvdnav .dvbpsi .aclocal
  endif
 else
# Standard Linux or other UNIX-like systems
   all: .iconv .intl .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .ebml .matroska .ffmpeg .dvdcss \
	.dvdread .dvdnav .dvbpsi .aclocal
 endif
endif

FORCE:

# ***************************************************************************
# Useful macros
# ***************************************************************************

define EXTRACT_GZ
	tar xzf $<
	mv $(patsubst %.tar.gz,%,$(patsubst %.tgz,%,$(notdir $<))) $@ || true
	touch $@
endef

define EXTRACT_BZ2
	bunzip2 -c $< | tar xf -
	mv $(patsubst %.tar.bz2,%,$(notdir $<)) $@ || true
	touch $@
endef

### Darwin-specific ###
# These macros prepare the dynamic libraries for inclusion in the Mac OS X
# bundle. For instance if you're building a library named libtoto.dylib,
# which depends on the contrib library libtata.dylib, you should have the
# following entry :
# .toto: toto_directory .tata
#	cd $< ; ./configure --prefix=$(PREFIX)
#	$(MAKE) -C $<
#	$(MAKE) -C $< install
#	$(INSTALL_NAME)
#	touch $@

ifdef HAVE_DARWIN_OS
define INSTALL_NAME_LIB
	install_name_tool \
		-change $(PREFIX)/lib/$(shell cd $(PREFIX)/lib; ls | grep "lib$(INSTALL_LIB).[0-9]*.dylib") \
		@executable_path/lib/vlc_lib$(INSTALL_LIB).dylib \
		$(PREFIX)/vlc-lib/lib$(patsubst .%,%,$@).dylib ;
endef

define INSTALL_NAME
	if which install_name_tool >/dev/null; then \
		mkdir -p $(PREFIX)/vlc-lib ; \
		cp $(PREFIX)/lib/lib$(patsubst .%,%,$@).dylib \
			$(PREFIX)/vlc-lib/lib$(patsubst .%,%,$@).dylib ; \
		install_name_tool \
			-id @executable_path/lib/vlc_lib$(patsubst .%,%,$@).dylib \
			$(PREFIX)/vlc-lib/lib$(patsubst .%,%,$@).dylib ; \
		$(foreach INSTALL_LIB,$(patsubst .%,%,$(filter .%,$^)), \
			$(INSTALL_NAME_LIB)) \
	fi
endef
endif

ifeq ($(HOST),i586-pc-beos)
# We test if the file actually exists, as sometimes (but not always)
# libtool won't accept to build the shared library
define INSTALL_NAME
	if test -f $(PREFIX)/lib/lib$(patsubst .%,%,$@).so ; then \
		mkdir -p $(PREFIX)/vlc-lib ; \
		cp $(PREFIX)/lib/lib$(patsubst .%,%,$@).so \
		  $(PREFIX)/vlc-lib/ ; \
	fi
endef
endif

# ***************************************************************************
# perl
# ***************************************************************************

ifeq ($(BUILD),i586-pc-beos)
perl-$(PERL_VERSION).tar.gz:
	$(WGET) $(PERL_URL)

perl: perl-$(PERL_VERSION).tar.gz
	$(EXTRACT_GZ)
	mv perl/hints/beos.sh perl/hints/beos.sh.orig
	sed 's%prefix="/boot/home/config"%prefix="$(PREFIX)"%' < perl/hints/beos.sh.orig > perl/hints/beos.sh

.perl: perl
	(cd $<; ./Configure -d -e && make && make install && ln -sf perl5/$(PERL_VERSION)/BePC-beos/CORE/libperl.so $(PREFIX)/lib/libperl.so)
	touch $@

CLEAN_FILE += .perl
CLEAN_PKG += perl
DISTCLEAN_PKG += perl-$(PERL_VERSION).tar.gz
endif

# ***************************************************************************
# autoconf
# ***************************************************************************

autoconf-$(AUTOCONF_VERSION).tar.gz:
	$(WGET) $(AUTOCONF_URL)

autoconf: autoconf-$(AUTOCONF_VERSION).tar.gz
	$(EXTRACT_GZ)

.autoconf: autoconf
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_FILE += .autoconf
CLEAN_PKG += autoconf
DISTCLEAN_PKG += autoconf-$(AUTOCONF_VERSION).tar.gz

# ***************************************************************************
# libtool
# ***************************************************************************

ifdef HAVE_DARWIN_OS
.libtool:
	if test -x /usr/bin/glibtoolize; then \
		ln -sf /usr/bin/glibtoolize $(PREFIX)/bin/libtoolize ; \
	fi
	touch $@
endif

ifeq ($(BUILD),i586-pc-beos)
libtool-$(LIBTOOL_VERSION).tar.gz:
	$(WGET) $(LIBTOOL_URL)

libtool: libtool-$(LIBTOOL_VERSION).tar.gz
	$(EXTRACT_GZ)

.libtool: libtool
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_PKG += libtool
DISTCLEAN_PKG += libtool-$(LIBTOOL_VERSION).tar.gz
endif

CLEAN_FILE += .libtool

# ***************************************************************************
# automake
# ***************************************************************************

automake-$(AUTOMAKE_VERSION).tar.gz:
	$(WGET) $(AUTOMAKE_URL)

automake: automake-$(AUTOMAKE_VERSION).tar.gz
	$(EXTRACT_GZ)

.automake: automake
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_FILE += .automake
CLEAN_PKG += automake
DISTCLEAN_PKG += automake-$(AUTOMAKE_VERSION).tar.gz

# ***************************************************************************
# pkgconfig
# ***************************************************************************

pkgconfig-$(PKGCFG_VERSION).tar.gz:
	$(WGET) $(PKGCFG_URL)

pkgconfig: pkgconfig-$(PKGCFG_VERSION).tar.gz
	$(EXTRACT_GZ)

.pkgcfg: pkgconfig
	(cd pkgconfig; ./configure --prefix=$(PREFIX) --disable-shared --enable-static && make && make install)
	touch $@

CLEAN_FILE += .pkgcfg
CLEAN_PKG += pkgconfig
DISTCLEAN_PKG += pkgconfig-$(PKGCFG_VERSION).tar.gz

# ***************************************************************************
# gettext
# ***************************************************************************

gettext-$(GETTEXT_VERSION).tar.gz:
	$(WGET) $(GETTEXT_URL)

gettext: gettext-$(GETTEXT_VERSION).tar.gz
	$(EXTRACT_GZ)
	patch -p 0 < Patches/gettext.patch

.intl: gettext .iconv
	( cd $< && ./configure $(HOSTCONF) --prefix=$(PREFIX) )
ifeq ($(BUILD),i586-pc-beos)
# The ugliest kludge ever - so libtool correctly links shared libraries
# on BeOS. Sorry, I just can't figure out how libtool works
	( cd $< && for f in `find . -name libtool`; do mv $$f $$f.orig; sed -e 's/ -shared / -nostart /' -e 's/^predep_objects.*/predep_objects=""/' < $$f.orig > $$f; chmod +x $$f; rm $$f.orig; done )
endif
ifneq ($(HOST),$(BUILD))
# We'll use the installed gettext and only need to cross-compile libintl
	( cd $< && make -C gettext-runtime/intl && make -C gettext-runtime/intl install )
else
# Build and install the whole gettext
	( cd $< && make && make install )
endif
	$(INSTALL_NAME)
	touch $@

CLEAN_FILE += .intl
CLEAN_PKG += gettext
DISTCLEAN_PKG += gettext-$(GETTEXT_VERSION).tar.gz

# ***************************************************************************
# libiconv
# ***************************************************************************

libiconv-$(LIBICONV_VERSION).tar.gz:
	$(WGET) $(LIBICONV_URL)

libiconv: libiconv-$(LIBICONV_VERSION).tar.gz
	$(EXTRACT_GZ)

.iconv: libiconv
	(cd libiconv; ./configure $(HOSTCONF) --prefix=$(PREFIX) --disable-nls && make && make install)
	$(INSTALL_NAME)
	touch $@

CLEAN_FILE += .iconv
CLEAN_PKG += libiconv
DISTCLEAN_PKG += libiconv-$(LIBICONV_VERSION).tar.gz

# ***************************************************************************
# freetype2
# ***************************************************************************

freetype-$(FREETYPE2_VERSION).tar.gz:
	$(WGET) $(FREETYPE2_URL)

freetype2: freetype-$(FREETYPE2_VERSION).tar.gz
	$(EXTRACT_GZ)

.freetype: freetype2
	(cd $<; ./configure $(HOSTCONF) --prefix=$(PREFIX) && make && make install)
	$(INSTALL_NAME)
	touch $@

CLEAN_FILE += .freetype
CLEAN_PKG += freetype2
DISTCLEAN_PKG += freetype-$(FREETYPE2_VERSION).tar.gz

# ***************************************************************************
# fribidi
# ***************************************************************************

fribidi-$(FRIBIDI_VERSION).tar.gz:
	$(WGET) $(FRIBIDI_URL)

fribidi: fribidi-$(FRIBIDI_VERSION).tar.gz
	$(EXTRACT_GZ)
	patch -p 0 < Patches/fribidi.patch.real

.fribidi: fribidi
	(cd $<; ./bootstrap && ./configure $(HOSTCONF) --prefix=$(PREFIX) && make && make install)
	$(INSTALL_NAME)
	touch $@

CLEAN_FILE += .fribidi

=== debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), dpatch, gettext, libx11-dev, libxext-dev, libxt-dev, libxv-dev, xlibs-static-pic, libggi2-dev, libglide2-dev [i386], libesd0-dev, libaudiofile-dev, libsdl1.2-dev (>= 1.2.7-5), libasound2-dev (>= 0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi3-dev, mozilla-dev, libidl0, libglib2.0-0, libxosd-dev (>= 2.2.4-1.3), svgalibg1-dev (>= 1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.6), libdvdread3-dev, libslp-dev, libflac-dev (>= 1.1.1-5), libimlib2-dev, libmatroska-dev (>= 0.7.5), libfreetype6-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.9), liblivemedia-dev (>= 2004.11.11a-1), libmpeg2-4-dev, zlib1g-dev, libdts-dev, libfribidi-dev, libcdio-dev, libxml2-dev, libid3tag0-dev, libtheora-dev, jam, nasm, libmodplug-dev, libhal-dev, libtar-dev, libdvdnav-dev, libgnutls11-dev, libavcodec-dev (>= 0.cvs20050313-1), libavformat-dev (>= 0.cvs20050313-1), libpostproc-dev (>= 0.cvs20050313-1), libncurses5-dev
Standards-Version: 3.6.1.1

Package: vlc
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wxvlc, ttf-freefont
Recommends: ttf-thryomanes, videolan-doc
Suggests: vlc-plugin-alsa, mozilla-plugin-vlc
Replaces: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Conflicts: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Provides: mp3-decoder
Description: multimedia player for all audio and video formats
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-esd, vlc-plugin-alsa,
 vlc-plugin-arts) or video plugins (vlc-plugin-sdl, vlc-plugin-ggi,
 vlc-plugin-glide, vlc-plugin-svgalib). There is also a web browser plugin
 in the mozilla-plugin-vlc package.

Package: libvlc0-dev
Section: libdevel
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: development files for VLC
 This package contains headers and a static library required to build plugins
 for VLC, or standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: gnome-vlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-gnome (<< 0.5.0)
Replaces: vlc-gnome (<< 0.5.0)
Description: GNOME frontend for VLC (dummy legacy package)
 The gnome-vlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: gvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
Replaces: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
Description: GTK+ frontend for VLC (dummy legacy package)
 The gvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-esd (<< 0.5.0)
Replaces: vlc-esd (<< 0.5.0)
Description: Esound audio output plugin for VLC
 This plugin adds support for the Enlightened Sound Daemon to the VLC
 media player. To activate it, use the `--aout esd' flag or select the
 `esd' audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-alsa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-alsa (<< 0.5.0)
Replaces: vlc-alsa (<< 0.5.0)
Description: ALSA audio output plugin for VLC
 This plugin adds support for the Advanced Linux Sound Architecture to
 the VLC media player. To activate it, use the `--aout alsa' flag or
 select the `alsa' audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-sdl (<< 0.5.0)
Replaces: vlc-sdl (<< 0.5.0)
Description: SDL video and audio output plugin for VLC
 This plugin adds support for the Simple DirectMedia Layer library to
 the VLC media player. To activate it, use the `--vout sdl' or
 `--aout sdl' flags or select the `sdl' video or audio output plugin
 from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-ggi (<< 0.5.0)
Replaces: vlc-ggi (<< 0.5.0)
Description: GGI video output plugin for VLC
 This is a GGI plugin for the VLC media player.  To activate it, use
 the `--vout ggi' flag or select the `ggi' video output plugin from the
 preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Conflicts: vlc-glide (<< 0.5.0)
Replaces: vlc-glide (<< 0.5.0)
Description: Glide video output plugin for VLC
 This is a Glide (3dfx) plugin for the VLC media player. To activate
 it, use the `--vout glide' flag or select the `glide' video output
 plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: qvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-qt (<< 0.5.0)
Replaces: vlc-qt (<< 0.5.0)
Description: Qt frontend for VLC (dummy legacy package)
 The qvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-arts
Architecture: any
Depends: vlc (= ${Source-Version}), libartsc0, ${misc:Depends}
Conflicts: vlc-arts (<< 0.5.0)
Replaces: vlc-arts (<< 0.5.0)
Description: aRts audio output plugin for VLC
 This plugin adds support for the aRts Sound System to the VLC media
 player. To activate it, use the `--aout arts' flag or select the `arts'
 audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: mozilla-plugin-vlc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: mozilla-browser
Description: multimedia plugin for Mozilla based on VLC
 This plugin adds support for MPEG, MPEG2, DVD, DivX, Ogg/Vorbis and many
 more formats to your Mozilla browser. The decoding process is done by VLC
 and the output window is embedded in a webpage or directly in the browser
 window. There is also support for fullscreen display and javascript control.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: kvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: vlc-plugin-arts
Conflicts: vlc-kde (<< 0.5.0)
Replaces: vlc-kde (<< 0.5.0)
Description: KDE frontend for VLC (dummy legacy package)
 The kvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-svgalib
Architecture: i386
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SVGAlib video output plugin for VLC
 This plugin adds support for SVGAlib to the VLC media player. To
 activate it, use the `--vout svgalib' flag or select the `svgalib' video
 output plugin from the preferences menu. Note that you will need root
 permissions to use SVGAlib.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: wxvlc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: wxWindows frontend for VLC
 This plugin adds a wxWindow interface to the VLC media player. To activate
 the wxWindow GUI, use the `--intf wxwin' flag or run the `wxvlc' program.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-alsa
Section: oldlibs
Architecture: any
Depends: vlc (= ${Source-Version}), vlc-plugin-alsa, ${misc:Depends}
Description: ALSA audio output plugin for VLC (dummy legacy package)
 The vlc-alsa package has been renamed to vlc-plugin-alsa. This is a dummy
 package with the sole purpose of ensuring a smooth upgrade from vlc-alsa
 to vlc-plugin-alsa.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-esd
Section: oldlibs
Architecture: any
Depends: vlc (= ${Source-Version}), vlc-plugin-esd, ${misc:Depends}
Description: Esound audio output plugin for VLC (dummy legacy package)
 The vlc-esd package has been renamed to vlc-plugin-esd. This is a dummy
 package with the sole purpose of ensuring a smooth upgrade from vlc-esd
 to vlc-plugin-esd.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-ggi
Section: oldlibs
Architecture: any
Depends: vlc (= ${Source-Version}), vlc-plugin-ggi, ${misc:Depends}
Description: GGI video output plugin for VLC (dummy legacy package)
 The vlc-ggi package has been renamed to vlc-plugin-ggi. This is a dummy
 package with the sole purpose of ensuring a smooth upgrade from vlc-ggi
 to vlc-plugin-ggi.
 .

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VLC media player - uses debhelper.
# $Id: rules 10334 2005-03-14 13:54:04Z sam $
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpatch/dpatch.make

#
# Compilation options
#

CONFIG_FLAGS = --enable-release --prefix=/usr
CONFIG_FLAGS += \
	--disable-gnome \
	--disable-gtk \
	--disable-familiar \
	--disable-fb \
	--enable-ggi \
	--enable-sdl \
	--enable-esd \
	--disable-qt \
	--enable-mad \
	--enable-arts \
	--enable-alsa \
	--enable-lirc \
	--enable-a52 \
	--enable-aa \
	--enable-dvbpsi \
	--enable-xosd \
	--enable-mozilla \
	--disable-kde \
	--enable-mp4 \
	--enable-dvb \
	--enable-dv \
	--disable-satellite \
	--enable-ogg \
	--enable-vorbis \
	--enable-wxwindows \
	--with-wx-config=wxgtk-2.4-config \
	--disable-slp \
	--enable-flac \
	--disable-skins \
	--disable-basic-skins \
	--enable-skins2 \
	--enable-freetype \
	--enable-mkv \
	--enable-v4l \
	--enable-pvr \
	--disable-speex \
	--enable-caca \
	--enable-livedotcom \
	--enable-libmpeg2 \
	--enable-dts \
	--enable-fribidi \
	--enable-cdio \
	--enable-mod \
	--enable-theora \
	--enable-modplug \
	--enable-dvdnav \
	--enable-gnutls \
	--enable-ffmpeg \
	--enable-ncurses \
	$(NULL)

# These ones are currently shipped with VLC
CONFIG_FLAGS += --enable-faad --with-faad-tree=extras/faad2
CONFIG_FLAGS += --enable-x264 --with-x264-tree=extras/x264

# Glide and svgalib are only for x86
ifeq ($(shell dpkg-architecture -qDEB_BUILD_GNU_CPU),i386)
CONFIG_FLAGS += --enable-glide
CONFIG_FLAGS += --enable-svgalib
endif

# Remove --without-dvdcss in non-totalitarian countries
CONFIG_FLAGS += --enable-dvd --without-dvdcss

# A few shortcuts
VIDDIR = usr/share/vlc
PIXDIR = usr/share/pixmaps
GNOMEDIR = usr/share/gnome/apps/Multimedia

#
# Build rules
#

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Touch stuff
	touch configure.ac
	touch aclocal.m4
	touch configure
	touch config.h.in
	touch `find . -name Makefile.in`

	# Check that we have an x264 tree in here (can be a symlink)
	test -d extras/x264
	if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/x264 \
	  && jam -dx libx264.a; \
	fi

	# Check that we have an faad2 tree in here (can be a symlink)
	test -d extras/faad2
	if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/faad2 \
	  && touch `find . -name configure.in` \
	  && touch `find . -name aclocal.m4` \
	  && touch `find . -name configure` \
	  && touch `find . -name config.h.in` \
	  && touch `find . -name Makefile.in` \
	  && ./configure --disable-shared \
	  && cd libfaad \
	  && $(MAKE); \
	fi

	# Configure VLC
	./configure --mandir=$${prefix}/share/man \
	  --infodir=$${prefix}/share/info $(CONFIG_FLAGS)

	touch configure-stamp

build: build-stamp
build-stamp: patch configure-stamp
	dh_testdir

	# Build only VLC, with the non-PIC libs
	$(MAKE) include/vlc_symbols.h
	cd modules && AM_MAKEFLAGS='plugin=no pic=no' $(MAKE)
	$(MAKE) vlc

	# Hackety hackety hack
	if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/x264 \
	  && jam -dx clean \
	  && rm -f Jamfile.pic \
	  && sed 's/^CCFLAGS *=/& -fPIC -DPIC /' <Jamfile >Jamfile.pic \
	  && jam -dx -sJAMFILE=Jamfile.pic libx264.a \
	  && rm -f Jamfile.pic; \
	fi

	# HACKETY HACKETY HACK
	if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/faad2/libfaad \
	  && $(MAKE) clean \
	  && $(MAKE) AM_CFLAGS=-fPIC; \
	fi

	# Build all the rest, with the PIC libs
	AM_MAKEFLAGS='builtin=no' $(MAKE)

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp

	# Check that we have an x264 tree in here (can be a symlink)
	test -d extras/x264
	-if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/x264 && jam -dx clean; \
	fi
	# Check that we have an faad2 tree in here (can be a symlink)
	test -d extras/faad2
	-if test ! '(' -d CVS -o -d .svn ')'; then \
	  cd extras/faad2 && $(MAKE) distclean; \
	fi

	# Removed ugly cruft
	rm -f src/misc/modules_builtin.h
	rm -f mozilla/vlcintf.xpt mozilla/vlcintf.h

	# Remove spurious autotools stuff
	rm -f config.log confdefs.h

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vlc/ $(MAKE) install prefix=/usr

	# Package: vlc
	mv debian/vlc/$(VIDDIR)/vlc48x48.png debian/vlc/$(PIXDIR)/vlc.png
	mv debian/vlc/$(VIDDIR)/vlc32x32.xpm debian/vlc/$(VIDDIR)/vlc.xpm
	cp debian/gvlc.desktop debian/gvlc/$(GNOMEDIR)
	cp debian/gnome-vlc.desktop debian/gnome-vlc/$(GNOMEDIR)

	#cp doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc
	#strfile doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc.dat

	rm -Rf debian/vlc/$(VIDDIR)/skins
	ln -s vlc.1.gz debian/vlc/usr/share/man/man1/svlc.1.gz

	# Package: libvlc0-dev
	mv debian/vlc/usr/bin/vlc-config debian/libvlc0-dev/usr/bin/
	mv debian/vlc/usr/lib/*.a debian/libvlc0-dev/usr/lib/
	mv debian/vlc/usr/lib/vlc/*.a debian/libvlc0-dev/usr/lib/vlc/
	mv debian/vlc/usr/include/vlc/*.h debian/libvlc0-dev/usr/include/vlc/
	rm -Rf debian/vlc/usr/include
	ln -s vlc debian/libvlc0-dev/usr/share/doc/libvlc0-dev

	# Package: gnome-vlc
	#mv debian/vlc/usr/bin/gnome-vlc debian/gnome-vlc/usr/bin/
	ln -s vlc debian/gnome-vlc/usr/share/doc/gnome-vlc
	#mv debian/vlc/usr/lib/vlc/misc/libgnome_main_plugin.so \
	#  debian/gnome-vlc/usr/lib/vlc/gui/
	#mv debian/vlc/usr/lib/vlc/gui/libgnome_plugin.so \
	#  debian/gnome-vlc/usr/lib/vlc/gui/
	#ln -s vlc.1.gz debian/gnome-vlc/usr/share/man/man1/gnome-vlc.1.gz
	#mv debian/vlc/$(VIDDIR)/gnome-vlc32x32.xpm debian/gnome-vlc/$(VIDDIR)/gnome-vlc.xpm
	#mv debian/vlc/$(VIDDIR)/gnome-vlc48x48.png debian/gnome-vlc/$(PIXDIR)/gnome-vlc.png

	# Package: vlc-gnome
	mkdir -p debian/vlc-gnome/usr/share/doc/
	ln -s vlc debian/vlc-gnome/usr/share/doc/vlc-gnome

	# Package: gvlc
	#mv debian/vlc/usr/bin/gvlc debian/gvlc/usr/bin/
	ln -s vlc debian/gvlc/usr/share/doc/gvlc
	#mv debian/vlc/usr/lib/vlc/misc/libgtk_main_plugin.so \
	#  debian/gvlc/usr/lib/vlc/gui/
	#mv debian/vlc/usr/lib/vlc/gui/libgtk_plugin.so \
	#  debian/gvlc/usr/lib/vlc/gui/
	#mv debian/vlc/usr/lib/vlc/gui/libfamiliar_plugin.so \
	#  debian/gvlc/usr/lib/vlc/gui/
	#ln -s vlc.1.gz debian/gvlc/usr/share/man/man1/gvlc.1.gz
	#mv debian/vlc/$(VIDDIR)/gvlc32x32.xpm debian/gvlc/$(VIDDIR)/gvlc.xpm
	#mv debian/vlc/$(VIDDIR)/gvlc48x48.png debian/gvlc/$(PIXDIR)/gvlc.png

	# Package: vlc-gtk
	mkdir -p debian/vlc-gtk/usr/share/doc/
	ln -s vlc debian/vlc-gtk/usr/share/doc/vlc-gtk

	# Package: vlc-plugin-esd
	ln -s vlc debian/vlc-plugin-esd/usr/share/doc/vlc-plugin-esd
	mv debian/vlc/usr/lib/vlc/audio_output/libesd_plugin.so \
	  debian/vlc-plugin-esd/usr/lib/vlc/audio_output/

	# Package: vlc-esd
	mkdir -p debian/vlc-esd/usr/share/doc/
	ln -s vlc debian/vlc-esd/usr/share/doc/vlc-esd

	# Package: vlc-plugin-alsa
	ln -s vlc debian/vlc-plugin-alsa/usr/share/doc/vlc-plugin-alsa
	mv debian/vlc/usr/lib/vlc/audio_output/libalsa_plugin.so \
	  debian/vlc-plugin-alsa/usr/lib/vlc/audio_output/

	# Package: vlc-alsa
	mkdir -p debian/vlc-alsa/usr/share/doc/
	ln -s vlc debian/vlc-alsa/usr/share/doc/vlc-alsa

	# Package: vlc-plugin-sdl
	ln -s vlc debian/vlc-plugin-sdl/usr/share/doc/vlc-plugin-sdl
	mv debian/vlc/usr/lib/vlc/audio_output/libaout_sdl_plugin.so \
	  debian/vlc-plugin-sdl/usr/lib/vlc/audio_output/
	mv debian/vlc/usr/lib/vlc/video_output/libvout_sdl_plugin.so \
	  debian/vlc-plugin-sdl/usr/lib/vlc/video_output/

	# Package: vlc-sdl
	mkdir -p debian/vlc-sdl/usr/share/doc/
	ln -s vlc debian/vlc-sdl/usr/share/doc/vlc-sdl

	# Package: vlc-plugin-ggi
	ln -s vlc debian/vlc-plugin-ggi/usr/share/doc/vlc-plugin-ggi
	mv debian/vlc/usr/lib/vlc/video_output/libggi_plugin.so \
	  debian/vlc-plugin-ggi/usr/lib/vlc/video_output/

	# Package: vlc-ggi
	mkdir -p debian/vlc-ggi/usr/share/doc/
	ln -s vlc debian/vlc-ggi/usr/share/doc/vlc-ggi

	# Package: vlc-plugin-glide
ifeq ($(shell dpkg-architecture -qDEB_BUILD_GNU_CPU),i386)
	ln -s vlc debian/vlc-plugin-glide/usr/share/doc/vlc-plugin-glide
